Page MenuHomePhabricator

Add wdqs-admins to deploy-services group
Closed, ResolvedPublic

Description

In order to be able to deploy WDQS via scap3, we need to add to add members of wdqs-admins to deploy-service group. Also may be necessary to add @Gehel unless his other permissions also allow him to deploy services.

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptJun 24 2016, 8:57 PM
Restricted Application added a subscriber: Zppix. · View Herald Transcript
Smalyshev moved this task from Needs triage to WDQS on the Discovery board.Jun 24 2016, 11:14 PM
Addshore moved this task from incoming to monitoring on the Wikidata board.Jun 26 2016, 2:58 PM

Change 296658 had a related patch set uploaded (by Dzahn):
admin: add wdqs-admins to deploy-service group

https://gerrit.wikimedia.org/r/296658

Dzahn claimed this task.Jun 29 2016, 9:21 PM

I think there's going to be a lot more of these as more services are converted to use scap. I presume members of this group used to own the trebuchet deployment process? If so let's Just Do It.

Change 296658 merged by Filippo Giunchedi:
admin: add wdqs-admins to deploy-service group

https://gerrit.wikimedia.org/r/296658

Dzahn added a comment.Jul 5 2016, 4:43 PM

ah, thanks Ariel and Filippo :)

Dzahn added a comment.Jul 5 2016, 4:45 PM

I don't think gehel needs to be added because his existing permissions already allow him everything. Unless we want to do it for more symbolic reasons or to make things more obvious to human readers.

Dzahn closed this task as Resolved.Jul 5 2016, 5:43 PM
[tin:~] $ id smalyshev
uid=10977(smalyshev) gid=500(wikidev) groups=500(wikidev),755(wdqs-admins),763(deploy-service)
[tin:~] $ id hoo
uid=2133(hoo) gid=500(wikidev) groups=500(wikidev),755(wdqs-admins),763(deploy-service),705(deployment)
[tin:~] $ id jzerebecki
uid=2844(jzerebecki) gid=500(wikidev) groups=500(wikidev),755(wdqs-admins),763(deploy-service),705(deployment)